import socket
import time

# Crea canal UDP
localhost = ''
localport = 9000
localaddr = (localhost, localport)

dronehost = '192.168.10.1'
droneport = 8889
droneaddr = (dronehost, droneport)
 
canal = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
canal.bind(localaddr)

# Enviar packet UDP al drone
def envia(mensaje):
	mensaje = mensaje.encode(encoding="utf-8") 
	sent = canal.sendto(mensaje, droneaddr)
	time.sleep(5)

# Procesar comandos
envia("command")
cmd = ["takeoff","up 50", "forward 50",
		"back 50", "land", "end"]
for i in range(0, len(cmd), 1): 	
	comando = cmd[i]
	print (comando)

	if (comando == ""):
		print ("comando invalido...")
		continue  

	if (comando == "end"):
		break
		
	envia(comando)

print ("finalizando...")	
canal.close()
