import socket
import time

# Crea canal UDP
localhost = ''
localport = 9000
localaddr = (localhost, localport)

dronehost = '192.168.10.1'
droneport = 8889
droneaddr = (dronehost, droneport)
 
canal = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
canal.bind(localaddr)

# Procesar comandos
cmd = ["command", "takeoff","up 50", "forward 50",
		"back 50", "land", "end" ]
for i in range(0, len(cmd), 1): 	
	comando = cmd[i]
	print (comando)

	if (comando == ""):
		print ("comando invalido...")
		continue  

	if (comando == "end"):
		break

	# Enviar packet UDP al drone
	comando = comando.encode(encoding="utf-8") 
	sent = canal.sendto(comando, droneaddr)
	time.sleep(5)

print ("finalizando...")	
canal.close()
