import socket
import time
import datetime as dt

# Crea canal UDP
localhost = ''
localport = 9000
localaddr = (localhost, localport)

dronehost = '192.168.10.1'
droneport = 8889
droneaddr = (dronehost, droneport)
 
canal = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
canal.bind(localaddr)

def enviarecibe(mensaje, pausa=5):
	try:
		# Envia mensaje
		print(dt.datetime.now())			
		mensaje = mensaje.encode(encoding="utf-8")	
		sent = canal.sendto(mensaje, droneaddr)
		time.sleep(pausa)
		
		# Recibe mensaje
		mensaje, ip = canal.recvfrom(1024)
		respuesta = mensaje.decode(encoding="utf-8")
		print(str(dt.datetime.now()) + " " + str(ip) + " " + respuesta)
		
	except socket.error:
		print("Error: " + socket.error)
		exit()

# Procesar comandos
while True:	
	comando = input("")

	if (comando == ""):
		print ("comando invalido...")
		continue

	if (comando == "end"):
		break
		
	enviarecibe(comando)
	if ("?" in comando):
		for k in range(3):
			enviarecibe(comando, 0.001)

print ("finalizando...")	
canal.close()
