import cv2
from djitellopy import Tello
import threading

def video():
    while True:
        videoframe = tello.get_frame_read().frame
        videoframe = cv2.resize(videoframe, (533,400))
        cv2.imshow("videocamara", videoframe)
        cv2.waitKey(1)

tello = Tello()
tello.connect()
tello.takeoff()

tello.streamon()

videoThread = threading.Thread(target = video)
videoThread.start()

tello.move_forward(25)
tello.rotate_clockwise(90)
tello.move_forward(25)
tello.rotate_clockwise(90)
tello.move_forward(25)

tello.land()
exit()
