from http.server import BaseHTTPRequestHandler, HTTPServer
from urllib.parse import urlparse
import json

class handler(BaseHTTPRequestHandler):
    def do_GET(self):
        self.send_response(200)
        self.send_header('Content-type','text/html')
        self.end_headers()
        message = "Hello, GET method"
        self.wfile.write(bytes(message, "utf8"))
        path = urlparse(self.path).query
        print(path)
        
    def do_POST(self):
        self.send_response(200)
        self.send_header('Content-type','text/html')
        self.end_headers()
        message = "Hello, POST method"
        self.wfile.write(bytes(message, "utf8"))
        content_len = int(self.headers['Content-Length'])       
        post_data = self.rfile.read(content_len)
        print(post_data)

with HTTPServer(('localhost', 8080), handler) as server:
	print("webserver http://localhost:8080")
	server.serve_forever()
	
